@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html,
body {
  height: 100%;
  width: 100%;
}

body {
  background-color: #f8f8f8;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  min-height: 100vh;
}

.container {
  max-width: 750px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 21px;
}

.container h2 {
  margin-bottom: 21px;
}

.input input {
  background-color: transparent;
  border: none;
  outline: none;
  min-width: 300px;
  padding: 8px 12px 8px 12px;
  font-size: 18px;
  border-radius: 5px;
  border: 2px solid #212121;
  margin: 8px;
}

.input #search {
  padding: 4px 12px;
  cursor: pointer;
  font-size: 21px;
  background-color: transparent;
  border: none;
  outline: none;
  border: 2px solid #212121;
  border-radius: 5px;
}

.error {
    text-align: center;
    width: 100%;
    margin-top: 12px;
    animation: shake 1s 2s;
}

@keyframes shake {
    0% { transform: translateX(0); }
    10%, 30%, 50%, 70%, 90% { transform: translateX(-10px); }
    20%, 40%, 60%, 80%, 100% { transform: translateX(10px); }
}

.card {
  cursor: pointer;
  margin-top: 32px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  width: 350px;
  padding: 20px;
  text-align: center;
  position: relative;
  border: 1px solid #212121;
  transition: transform 0.3s ease;
  opacity: 0;
  scale: 0;
  transition: all ease 0.5s;
}

.card:hover {
  transform: translateY(-7px);
}

.avatar {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  margin: 0 auto 15px;
  overflow: hidden;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
  transition: all ease 0.5s;
}

.avatar img:hover {
  scale: 1.05;
}

.username {
  font-size: 18px;
  font-weight: bold;
  color: #333;
  margin-bottom: 5px;
}

.name {
  font-size: 16px;
  color: #666;
  margin-bottom: 10px;
}

.followers,
.following {
  font-size: 14px;
  color: #888;
}

.follow-info {
  display: flex;
  justify-content: space-around;
  margin-top: 20px;
}
